summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/chains/0025prio_arp_1
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shell/testcases/chains/0025prio_arp_1')
-rwxr-xr-xtests/shell/testcases/chains/0025prio_arp_117
1 files changed, 17 insertions, 0 deletions
diff --git a/tests/shell/testcases/chains/0025prio_arp_1 b/tests/shell/testcases/chains/0025prio_arp_1
new file mode 100755
index 00000000..8c671d55
--- /dev/null
+++ b/tests/shell/testcases/chains/0025prio_arp_1
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+family=arp
+ for hook in input output
+ do
+ for prioname in raw mangle dstnat security srcnat
+ do
+ $NFT add table $family x
+ $NFT add chain $family x y "{ type filter hook $hook priority $prioname; }" &> /dev/null
+ if (($? == 0))
+ then
+ echo "E: $prioname should not be a valid priority name for arp family chains." >&2
+ exit 0
+ fi
+ done
+ done
+exit 1